Bug 239292 - /etc/resolv.conf being overwritten when PEERDNS is set to no
/etc/resolv.conf being overwritten when PEERDNS is set to no
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 09:31 EDT by Alastair Neil
Modified: 2008-05-06 21:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alastair Neil 2007-05-07 09:31:18 EDT
Description of problem:
NetworkManager ignores PEER_DNS setting

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.configure adapter for IPv4 and DHCP
2.uncheck the box for obtain DNS information from server
3.reboot
4.
  
Actual results:
contents of /etc/resolv.conf are overwritten with data from the DHCP server

Expected results:
/etc/resolv.conf should be unchanged

Additional info:
Comment 1 Alastair Neil 2007-05-07 09:32:04 EDT
able to work around this by setting chattr +i /etc/resolv.conf
Comment 2 Bug Zapper 2008-04-03 20:34:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:41:58 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.